Bug 198248 - xorg-x11-drivers should not force all drivers to be installed
xorg-x11-drivers should not force all drivers to be installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 11:31 EDT by Frank Ch. Eigler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 14:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2006-07-10 11:31:55 EDT
Description of problem:
With an installed FC5 system, rpm forces one to retain dozens of useless video
drivers.

Version-Release number of selected component (if applicable):
xorg-x11-drivers-7.0-2

How reproducible:
always

Steps to Reproduce:
1. Pick any video driver that is useless on your hardware, say FOO
2. rpm -e xorg-x11-drv-FOO
  
Actual results:
error: Failed dependencies:
        xorg-x11-drv-FOO is needed by (installed) xorg-x11-drivers-7.0-2.i386

Expected results:
"yes, sir!"

Additional info:
Please reconsider this design.  For example, make the xorg-x11-drv-FOO packages
provide some single generic rpm resource, so that xorg-x11-drivers can require
that.  Then at least one driver would be forced to be installed rather than all
of them.
Comment 1 Adam Jackson 2006-08-02 14:50:54 EDT
wontfix for fc5.  xorg-x11-drivers is no longer installed by default in fc6 iirc.

Note You need to log in before you can comment on or make changes to this bug.